# Method: projects.locations.catalogs.list

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/list#body.ListCatalogsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs/list#body.aspect_1)

List all catalogs in a specified project.

### HTTP request

`GET https://biglake.googleapis.com/v1/{parent=projects/*/locations/*}/catalogs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of catalogs. Format: projects/{project_id_or_number}/locations/{locationId} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of catalogs to return. The service may return fewer than this value. If unspecified, at most 50 catalogs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `catalogs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `catalogs.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the catalogs.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "catalogs": [ { object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs#Catalog`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `catalogs[]` | ``object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs#Catalog`)`` The catalogs from the specified project. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `biglake.catalogs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).